- integrate a vendor patch to fix a segfault that occured when

submitting a blank username in digest authentication (squid bug #954)
  and bump PORTREVISION
- follow Duane Wessel's squid book and use "storage scheme"
  instead of "store type"
- remove trailing whitespace
- no longer hardcode the path of the nologin binary in
  pkg-install and re-wrap pw(8)'s arguments for better readability

PR:		ports/65723
Submitted by:	maintainer
This commit is contained in:
Kirill Ponomarev 2004-04-18 17:04:26 +00:00
parent 0ee0654bf1
commit 58564acf47
Notes: svn2git 2021-03-31 03:12:20 +00:00
svn path=/head/; revision=107442
18 changed files with 138 additions and 78 deletions

View File

@ -29,7 +29,7 @@
PORTNAME= squid
PORTVERSION= 2.5.5
PORTREVISION= 3
PORTREVISION= 4
CATEGORIES= www
MASTER_SITES= \
ftp://ftp.squid-cache.org/pub/%SUBDIR%/ \
@ -50,7 +50,8 @@ PATCHFILES= squid-2.5.STABLE5-ntlm_assert.patch \
squid-2.5.STABLE5-CONNECT_timeout.patch \
squid-2.5.STABLE5-cache_swap_log.patch \
squid-2.5.STABLE5-ntlm_warning.patch \
squid-2.5.STABLE5-rfc1035NameUnpack.patch
squid-2.5.STABLE5-rfc1035NameUnpack.patch \
squid-2.5.STABLE5-digest_blank.patch
PATCH_DIST_STRIP= -p1
MAINTAINER= tmseck@netcologne.de
@ -90,8 +91,8 @@ OPTIONS= SQUID_LDAP_AUTH "Install LDAP authentication helpers" off \
SQUID_ARP_ACL "Enable ACLs based on ethernet address" off \
SQUID_PF "Enable transp. proxy support using PF" off \
SQUID_FOLLOW_XFF "Follow X-Forwarded-For headers" off \
SQUID_AUFS "Enable the aufs store type" off \
SQUID_COSS "Enable the COSS store type" off \
SQUID_AUFS "Enable the aufs storage scheme" off \
SQUID_COSS "Enable the COSS storage scheme" off \
SQUID_STACKTRACES "Create backtraces on fatal errors" off
PLIST_FILES= etc/rc.d/squid.sh etc/squid/mib.txt etc/squid/mime.conf.default \
@ -125,21 +126,21 @@ CONFIGURE_ARGS+= --enable-auth="basic ntlm digest" \
--enable-external-acl-helpers="${external_acl}" \
--enable-ntlm-auth-helpers="SMB winbind"
# Selection of store types:
# Selection of storage schemes:
store_types= ufs diskd null
storage_schemes= ufs diskd null
.if defined(WITH_SQUID_AUFS)
store_types+= aufs
storage_schemes+= aufs
# Nil aufs threads is default, set any other value via SQUID_CONFIGURE_ARGS
CONFIGURE_ARGS+= --enable-async-io \
--with-pthreads
CFLAGS+= ${PTHREAD_CFLAGS}
.endif
.if defined(WITH_SQUID_COSS)
store_types+= coss
storage_schemes+= coss
CONFIGURE_ARGS+= --with-aio
.endif
CONFIGURE_ARGS+= --enable-storeio="${store_types}"
CONFIGURE_ARGS+= --enable-storeio="${storage_schemes}"
# Other options set via 'make config':
@ -156,7 +157,7 @@ CONFIGURE_ARGS+= --enable-carp
# we need to .include bsd.openssl.mk manually here because USE_OPENSSL only
# works when it is defined before bsd.port{.pre}.mk is .included and this is
# not possible when using OPTIONS
.include "${PORTSDIR}/Mk/bsd.openssl.mk"
.include "${PORTSDIR}/Mk/bsd.openssl.mk"
CONFIGURE_ARGS+= --enable-ssl \
--with-openssl="${OPENSSLBASE}"
CFLAGS+= -I${OPENSSLINC}

View File

@ -18,3 +18,5 @@ MD5 (squid2.5/squid-2.5.STABLE5-ntlm_warning.patch) = 57ec2b3e27dcff757412d6d0a6
SIZE (squid2.5/squid-2.5.STABLE5-ntlm_warning.patch) = 900
MD5 (squid2.5/squid-2.5.STABLE5-rfc1035NameUnpack.patch) = e3640442452f77762df5b20380aeb334
SIZE (squid2.5/squid-2.5.STABLE5-rfc1035NameUnpack.patch) = 685
MD5 (squid2.5/squid-2.5.STABLE5-digest_blank.patch) = 9eec94b95e52f26aece4568af4a2e5ae
SIZE (squid2.5/squid-2.5.STABLE5-digest_blank.patch) = 4598

View File

@ -7,6 +7,11 @@ PATH=/bin:/usr/bin:/usr/sbin
pkgname=$1
squid_base=${PKG_PREFIX:-/usr/local}/squid
squid_confdir=${PKG_PREFIX:-/usr/local}/etc/squid
if [ -x /usr/sbin/nologin ]; then
nologin=/usr/sbin/nologin
else
nologin=/sbin/nologin
fi
: ${squid_user:=squid}
: ${squid_group:=squid}
squid_gid=100
@ -42,9 +47,11 @@ PRE-INSTALL)
if ! pw usershow ${squid_user} -q >/dev/null ; then
echo "There is no account '${squid_user}' on this system, so I will try to create it:"
if ! pw useradd ${squid_user} -u ${squid_uid} -q \
-c "squid caching-proxy pseudo user" -g ${squid_group} \
-d "${squid_base}" -s "/sbin/nologin" -h - ; then
if ! pw useradd -q -n ${squid_user} \
-u ${squid_uid} -g ${squid_group} \
-c "squid caching-proxy pseudo user" \
-d "${squid_base}" -s "${nologin}" \
-h - ; then
echo "Failed to create user '${squid_user}'!" >&2
echo "Please create it manually." >&2
exit 1

View File

@ -29,7 +29,7 @@
PORTNAME= squid
PORTVERSION= 2.5.5
PORTREVISION= 3
PORTREVISION= 4
CATEGORIES= www
MASTER_SITES= \
ftp://ftp.squid-cache.org/pub/%SUBDIR%/ \
@ -50,7 +50,8 @@ PATCHFILES= squid-2.5.STABLE5-ntlm_assert.patch \
squid-2.5.STABLE5-CONNECT_timeout.patch \
squid-2.5.STABLE5-cache_swap_log.patch \
squid-2.5.STABLE5-ntlm_warning.patch \
squid-2.5.STABLE5-rfc1035NameUnpack.patch
squid-2.5.STABLE5-rfc1035NameUnpack.patch \
squid-2.5.STABLE5-digest_blank.patch
PATCH_DIST_STRIP= -p1
MAINTAINER= tmseck@netcologne.de
@ -90,8 +91,8 @@ OPTIONS= SQUID_LDAP_AUTH "Install LDAP authentication helpers" off \
SQUID_ARP_ACL "Enable ACLs based on ethernet address" off \
SQUID_PF "Enable transp. proxy support using PF" off \
SQUID_FOLLOW_XFF "Follow X-Forwarded-For headers" off \
SQUID_AUFS "Enable the aufs store type" off \
SQUID_COSS "Enable the COSS store type" off \
SQUID_AUFS "Enable the aufs storage scheme" off \
SQUID_COSS "Enable the COSS storage scheme" off \
SQUID_STACKTRACES "Create backtraces on fatal errors" off
PLIST_FILES= etc/rc.d/squid.sh etc/squid/mib.txt etc/squid/mime.conf.default \
@ -125,21 +126,21 @@ CONFIGURE_ARGS+= --enable-auth="basic ntlm digest" \
--enable-external-acl-helpers="${external_acl}" \
--enable-ntlm-auth-helpers="SMB winbind"
# Selection of store types:
# Selection of storage schemes:
store_types= ufs diskd null
storage_schemes= ufs diskd null
.if defined(WITH_SQUID_AUFS)
store_types+= aufs
storage_schemes+= aufs
# Nil aufs threads is default, set any other value via SQUID_CONFIGURE_ARGS
CONFIGURE_ARGS+= --enable-async-io \
--with-pthreads
CFLAGS+= ${PTHREAD_CFLAGS}
.endif
.if defined(WITH_SQUID_COSS)
store_types+= coss
storage_schemes+= coss
CONFIGURE_ARGS+= --with-aio
.endif
CONFIGURE_ARGS+= --enable-storeio="${store_types}"
CONFIGURE_ARGS+= --enable-storeio="${storage_schemes}"
# Other options set via 'make config':
@ -156,7 +157,7 @@ CONFIGURE_ARGS+= --enable-carp
# we need to .include bsd.openssl.mk manually here because USE_OPENSSL only
# works when it is defined before bsd.port{.pre}.mk is .included and this is
# not possible when using OPTIONS
.include "${PORTSDIR}/Mk/bsd.openssl.mk"
.include "${PORTSDIR}/Mk/bsd.openssl.mk"
CONFIGURE_ARGS+= --enable-ssl \
--with-openssl="${OPENSSLBASE}"
CFLAGS+= -I${OPENSSLINC}

View File

@ -18,3 +18,5 @@ MD5 (squid2.5/squid-2.5.STABLE5-ntlm_warning.patch) = 57ec2b3e27dcff757412d6d0a6
SIZE (squid2.5/squid-2.5.STABLE5-ntlm_warning.patch) = 900
MD5 (squid2.5/squid-2.5.STABLE5-rfc1035NameUnpack.patch) = e3640442452f77762df5b20380aeb334
SIZE (squid2.5/squid-2.5.STABLE5-rfc1035NameUnpack.patch) = 685
MD5 (squid2.5/squid-2.5.STABLE5-digest_blank.patch) = 9eec94b95e52f26aece4568af4a2e5ae
SIZE (squid2.5/squid-2.5.STABLE5-digest_blank.patch) = 4598

View File

@ -7,6 +7,11 @@ PATH=/bin:/usr/bin:/usr/sbin
pkgname=$1
squid_base=${PKG_PREFIX:-/usr/local}/squid
squid_confdir=${PKG_PREFIX:-/usr/local}/etc/squid
if [ -x /usr/sbin/nologin ]; then
nologin=/usr/sbin/nologin
else
nologin=/sbin/nologin
fi
: ${squid_user:=squid}
: ${squid_group:=squid}
squid_gid=100
@ -42,9 +47,11 @@ PRE-INSTALL)
if ! pw usershow ${squid_user} -q >/dev/null ; then
echo "There is no account '${squid_user}' on this system, so I will try to create it:"
if ! pw useradd ${squid_user} -u ${squid_uid} -q \
-c "squid caching-proxy pseudo user" -g ${squid_group} \
-d "${squid_base}" -s "/sbin/nologin" -h - ; then
if ! pw useradd -q -n ${squid_user} \
-u ${squid_uid} -g ${squid_group} \
-c "squid caching-proxy pseudo user" \
-d "${squid_base}" -s "${nologin}" \
-h - ; then
echo "Failed to create user '${squid_user}'!" >&2
echo "Please create it manually." >&2
exit 1

View File

@ -29,7 +29,7 @@
PORTNAME= squid
PORTVERSION= 2.5.5
PORTREVISION= 3
PORTREVISION= 4
CATEGORIES= www
MASTER_SITES= \
ftp://ftp.squid-cache.org/pub/%SUBDIR%/ \
@ -50,7 +50,8 @@ PATCHFILES= squid-2.5.STABLE5-ntlm_assert.patch \
squid-2.5.STABLE5-CONNECT_timeout.patch \
squid-2.5.STABLE5-cache_swap_log.patch \
squid-2.5.STABLE5-ntlm_warning.patch \
squid-2.5.STABLE5-rfc1035NameUnpack.patch
squid-2.5.STABLE5-rfc1035NameUnpack.patch \
squid-2.5.STABLE5-digest_blank.patch
PATCH_DIST_STRIP= -p1
MAINTAINER= tmseck@netcologne.de
@ -90,8 +91,8 @@ OPTIONS= SQUID_LDAP_AUTH "Install LDAP authentication helpers" off \
SQUID_ARP_ACL "Enable ACLs based on ethernet address" off \
SQUID_PF "Enable transp. proxy support using PF" off \
SQUID_FOLLOW_XFF "Follow X-Forwarded-For headers" off \
SQUID_AUFS "Enable the aufs store type" off \
SQUID_COSS "Enable the COSS store type" off \
SQUID_AUFS "Enable the aufs storage scheme" off \
SQUID_COSS "Enable the COSS storage scheme" off \
SQUID_STACKTRACES "Create backtraces on fatal errors" off
PLIST_FILES= etc/rc.d/squid.sh etc/squid/mib.txt etc/squid/mime.conf.default \
@ -125,21 +126,21 @@ CONFIGURE_ARGS+= --enable-auth="basic ntlm digest" \
--enable-external-acl-helpers="${external_acl}" \
--enable-ntlm-auth-helpers="SMB winbind"
# Selection of store types:
# Selection of storage schemes:
store_types= ufs diskd null
storage_schemes= ufs diskd null
.if defined(WITH_SQUID_AUFS)
store_types+= aufs
storage_schemes+= aufs
# Nil aufs threads is default, set any other value via SQUID_CONFIGURE_ARGS
CONFIGURE_ARGS+= --enable-async-io \
--with-pthreads
CFLAGS+= ${PTHREAD_CFLAGS}
.endif
.if defined(WITH_SQUID_COSS)
store_types+= coss
storage_schemes+= coss
CONFIGURE_ARGS+= --with-aio
.endif
CONFIGURE_ARGS+= --enable-storeio="${store_types}"
CONFIGURE_ARGS+= --enable-storeio="${storage_schemes}"
# Other options set via 'make config':
@ -156,7 +157,7 @@ CONFIGURE_ARGS+= --enable-carp
# we need to .include bsd.openssl.mk manually here because USE_OPENSSL only
# works when it is defined before bsd.port{.pre}.mk is .included and this is
# not possible when using OPTIONS
.include "${PORTSDIR}/Mk/bsd.openssl.mk"
.include "${PORTSDIR}/Mk/bsd.openssl.mk"
CONFIGURE_ARGS+= --enable-ssl \
--with-openssl="${OPENSSLBASE}"
CFLAGS+= -I${OPENSSLINC}

View File

@ -18,3 +18,5 @@ MD5 (squid2.5/squid-2.5.STABLE5-ntlm_warning.patch) = 57ec2b3e27dcff757412d6d0a6
SIZE (squid2.5/squid-2.5.STABLE5-ntlm_warning.patch) = 900
MD5 (squid2.5/squid-2.5.STABLE5-rfc1035NameUnpack.patch) = e3640442452f77762df5b20380aeb334
SIZE (squid2.5/squid-2.5.STABLE5-rfc1035NameUnpack.patch) = 685
MD5 (squid2.5/squid-2.5.STABLE5-digest_blank.patch) = 9eec94b95e52f26aece4568af4a2e5ae
SIZE (squid2.5/squid-2.5.STABLE5-digest_blank.patch) = 4598

View File

@ -7,6 +7,11 @@ PATH=/bin:/usr/bin:/usr/sbin
pkgname=$1
squid_base=${PKG_PREFIX:-/usr/local}/squid
squid_confdir=${PKG_PREFIX:-/usr/local}/etc/squid
if [ -x /usr/sbin/nologin ]; then
nologin=/usr/sbin/nologin
else
nologin=/sbin/nologin
fi
: ${squid_user:=squid}
: ${squid_group:=squid}
squid_gid=100
@ -42,9 +47,11 @@ PRE-INSTALL)
if ! pw usershow ${squid_user} -q >/dev/null ; then
echo "There is no account '${squid_user}' on this system, so I will try to create it:"
if ! pw useradd ${squid_user} -u ${squid_uid} -q \
-c "squid caching-proxy pseudo user" -g ${squid_group} \
-d "${squid_base}" -s "/sbin/nologin" -h - ; then
if ! pw useradd -q -n ${squid_user} \
-u ${squid_uid} -g ${squid_group} \
-c "squid caching-proxy pseudo user" \
-d "${squid_base}" -s "${nologin}" \
-h - ; then
echo "Failed to create user '${squid_user}'!" >&2
echo "Please create it manually." >&2
exit 1

View File

@ -29,7 +29,7 @@
PORTNAME= squid
PORTVERSION= 2.5.5
PORTREVISION= 3
PORTREVISION= 4
CATEGORIES= www
MASTER_SITES= \
ftp://ftp.squid-cache.org/pub/%SUBDIR%/ \
@ -50,7 +50,8 @@ PATCHFILES= squid-2.5.STABLE5-ntlm_assert.patch \
squid-2.5.STABLE5-CONNECT_timeout.patch \
squid-2.5.STABLE5-cache_swap_log.patch \
squid-2.5.STABLE5-ntlm_warning.patch \
squid-2.5.STABLE5-rfc1035NameUnpack.patch
squid-2.5.STABLE5-rfc1035NameUnpack.patch \
squid-2.5.STABLE5-digest_blank.patch
PATCH_DIST_STRIP= -p1
MAINTAINER= tmseck@netcologne.de
@ -90,8 +91,8 @@ OPTIONS= SQUID_LDAP_AUTH "Install LDAP authentication helpers" off \
SQUID_ARP_ACL "Enable ACLs based on ethernet address" off \
SQUID_PF "Enable transp. proxy support using PF" off \
SQUID_FOLLOW_XFF "Follow X-Forwarded-For headers" off \
SQUID_AUFS "Enable the aufs store type" off \
SQUID_COSS "Enable the COSS store type" off \
SQUID_AUFS "Enable the aufs storage scheme" off \
SQUID_COSS "Enable the COSS storage scheme" off \
SQUID_STACKTRACES "Create backtraces on fatal errors" off
PLIST_FILES= etc/rc.d/squid.sh etc/squid/mib.txt etc/squid/mime.conf.default \
@ -125,21 +126,21 @@ CONFIGURE_ARGS+= --enable-auth="basic ntlm digest" \
--enable-external-acl-helpers="${external_acl}" \
--enable-ntlm-auth-helpers="SMB winbind"
# Selection of store types:
# Selection of storage schemes:
store_types= ufs diskd null
storage_schemes= ufs diskd null
.if defined(WITH_SQUID_AUFS)
store_types+= aufs
storage_schemes+= aufs
# Nil aufs threads is default, set any other value via SQUID_CONFIGURE_ARGS
CONFIGURE_ARGS+= --enable-async-io \
--with-pthreads
CFLAGS+= ${PTHREAD_CFLAGS}
.endif
.if defined(WITH_SQUID_COSS)
store_types+= coss
storage_schemes+= coss
CONFIGURE_ARGS+= --with-aio
.endif
CONFIGURE_ARGS+= --enable-storeio="${store_types}"
CONFIGURE_ARGS+= --enable-storeio="${storage_schemes}"
# Other options set via 'make config':
@ -156,7 +157,7 @@ CONFIGURE_ARGS+= --enable-carp
# we need to .include bsd.openssl.mk manually here because USE_OPENSSL only
# works when it is defined before bsd.port{.pre}.mk is .included and this is
# not possible when using OPTIONS
.include "${PORTSDIR}/Mk/bsd.openssl.mk"
.include "${PORTSDIR}/Mk/bsd.openssl.mk"
CONFIGURE_ARGS+= --enable-ssl \
--with-openssl="${OPENSSLBASE}"
CFLAGS+= -I${OPENSSLINC}

View File

@ -18,3 +18,5 @@ MD5 (squid2.5/squid-2.5.STABLE5-ntlm_warning.patch) = 57ec2b3e27dcff757412d6d0a6
SIZE (squid2.5/squid-2.5.STABLE5-ntlm_warning.patch) = 900
MD5 (squid2.5/squid-2.5.STABLE5-rfc1035NameUnpack.patch) = e3640442452f77762df5b20380aeb334
SIZE (squid2.5/squid-2.5.STABLE5-rfc1035NameUnpack.patch) = 685
MD5 (squid2.5/squid-2.5.STABLE5-digest_blank.patch) = 9eec94b95e52f26aece4568af4a2e5ae
SIZE (squid2.5/squid-2.5.STABLE5-digest_blank.patch) = 4598

View File

@ -7,6 +7,11 @@ PATH=/bin:/usr/bin:/usr/sbin
pkgname=$1
squid_base=${PKG_PREFIX:-/usr/local}/squid
squid_confdir=${PKG_PREFIX:-/usr/local}/etc/squid
if [ -x /usr/sbin/nologin ]; then
nologin=/usr/sbin/nologin
else
nologin=/sbin/nologin
fi
: ${squid_user:=squid}
: ${squid_group:=squid}
squid_gid=100
@ -42,9 +47,11 @@ PRE-INSTALL)
if ! pw usershow ${squid_user} -q >/dev/null ; then
echo "There is no account '${squid_user}' on this system, so I will try to create it:"
if ! pw useradd ${squid_user} -u ${squid_uid} -q \
-c "squid caching-proxy pseudo user" -g ${squid_group} \
-d "${squid_base}" -s "/sbin/nologin" -h - ; then
if ! pw useradd -q -n ${squid_user} \
-u ${squid_uid} -g ${squid_group} \
-c "squid caching-proxy pseudo user" \
-d "${squid_base}" -s "${nologin}" \
-h - ; then
echo "Failed to create user '${squid_user}'!" >&2
echo "Please create it manually." >&2
exit 1

View File

@ -29,7 +29,7 @@
PORTNAME= squid
PORTVERSION= 2.5.5
PORTREVISION= 3
PORTREVISION= 4
CATEGORIES= www
MASTER_SITES= \
ftp://ftp.squid-cache.org/pub/%SUBDIR%/ \
@ -50,7 +50,8 @@ PATCHFILES= squid-2.5.STABLE5-ntlm_assert.patch \
squid-2.5.STABLE5-CONNECT_timeout.patch \
squid-2.5.STABLE5-cache_swap_log.patch \
squid-2.5.STABLE5-ntlm_warning.patch \
squid-2.5.STABLE5-rfc1035NameUnpack.patch
squid-2.5.STABLE5-rfc1035NameUnpack.patch \
squid-2.5.STABLE5-digest_blank.patch
PATCH_DIST_STRIP= -p1
MAINTAINER= tmseck@netcologne.de
@ -90,8 +91,8 @@ OPTIONS= SQUID_LDAP_AUTH "Install LDAP authentication helpers" off \
SQUID_ARP_ACL "Enable ACLs based on ethernet address" off \
SQUID_PF "Enable transp. proxy support using PF" off \
SQUID_FOLLOW_XFF "Follow X-Forwarded-For headers" off \
SQUID_AUFS "Enable the aufs store type" off \
SQUID_COSS "Enable the COSS store type" off \
SQUID_AUFS "Enable the aufs storage scheme" off \
SQUID_COSS "Enable the COSS storage scheme" off \
SQUID_STACKTRACES "Create backtraces on fatal errors" off
PLIST_FILES= etc/rc.d/squid.sh etc/squid/mib.txt etc/squid/mime.conf.default \
@ -125,21 +126,21 @@ CONFIGURE_ARGS+= --enable-auth="basic ntlm digest" \
--enable-external-acl-helpers="${external_acl}" \
--enable-ntlm-auth-helpers="SMB winbind"
# Selection of store types:
# Selection of storage schemes:
store_types= ufs diskd null
storage_schemes= ufs diskd null
.if defined(WITH_SQUID_AUFS)
store_types+= aufs
storage_schemes+= aufs
# Nil aufs threads is default, set any other value via SQUID_CONFIGURE_ARGS
CONFIGURE_ARGS+= --enable-async-io \
--with-pthreads
CFLAGS+= ${PTHREAD_CFLAGS}
.endif
.if defined(WITH_SQUID_COSS)
store_types+= coss
storage_schemes+= coss
CONFIGURE_ARGS+= --with-aio
.endif
CONFIGURE_ARGS+= --enable-storeio="${store_types}"
CONFIGURE_ARGS+= --enable-storeio="${storage_schemes}"
# Other options set via 'make config':
@ -156,7 +157,7 @@ CONFIGURE_ARGS+= --enable-carp
# we need to .include bsd.openssl.mk manually here because USE_OPENSSL only
# works when it is defined before bsd.port{.pre}.mk is .included and this is
# not possible when using OPTIONS
.include "${PORTSDIR}/Mk/bsd.openssl.mk"
.include "${PORTSDIR}/Mk/bsd.openssl.mk"
CONFIGURE_ARGS+= --enable-ssl \
--with-openssl="${OPENSSLBASE}"
CFLAGS+= -I${OPENSSLINC}

View File

@ -18,3 +18,5 @@ MD5 (squid2.5/squid-2.5.STABLE5-ntlm_warning.patch) = 57ec2b3e27dcff757412d6d0a6
SIZE (squid2.5/squid-2.5.STABLE5-ntlm_warning.patch) = 900
MD5 (squid2.5/squid-2.5.STABLE5-rfc1035NameUnpack.patch) = e3640442452f77762df5b20380aeb334
SIZE (squid2.5/squid-2.5.STABLE5-rfc1035NameUnpack.patch) = 685
MD5 (squid2.5/squid-2.5.STABLE5-digest_blank.patch) = 9eec94b95e52f26aece4568af4a2e5ae
SIZE (squid2.5/squid-2.5.STABLE5-digest_blank.patch) = 4598

View File

@ -7,6 +7,11 @@ PATH=/bin:/usr/bin:/usr/sbin
pkgname=$1
squid_base=${PKG_PREFIX:-/usr/local}/squid
squid_confdir=${PKG_PREFIX:-/usr/local}/etc/squid
if [ -x /usr/sbin/nologin ]; then
nologin=/usr/sbin/nologin
else
nologin=/sbin/nologin
fi
: ${squid_user:=squid}
: ${squid_group:=squid}
squid_gid=100
@ -42,9 +47,11 @@ PRE-INSTALL)
if ! pw usershow ${squid_user} -q >/dev/null ; then
echo "There is no account '${squid_user}' on this system, so I will try to create it:"
if ! pw useradd ${squid_user} -u ${squid_uid} -q \
-c "squid caching-proxy pseudo user" -g ${squid_group} \
-d "${squid_base}" -s "/sbin/nologin" -h - ; then
if ! pw useradd -q -n ${squid_user} \
-u ${squid_uid} -g ${squid_group} \
-c "squid caching-proxy pseudo user" \
-d "${squid_base}" -s "${nologin}" \
-h - ; then
echo "Failed to create user '${squid_user}'!" >&2
echo "Please create it manually." >&2
exit 1

View File

@ -29,7 +29,7 @@
PORTNAME= squid
PORTVERSION= 2.5.5
PORTREVISION= 3
PORTREVISION= 4
CATEGORIES= www
MASTER_SITES= \
ftp://ftp.squid-cache.org/pub/%SUBDIR%/ \
@ -50,7 +50,8 @@ PATCHFILES= squid-2.5.STABLE5-ntlm_assert.patch \
squid-2.5.STABLE5-CONNECT_timeout.patch \
squid-2.5.STABLE5-cache_swap_log.patch \
squid-2.5.STABLE5-ntlm_warning.patch \
squid-2.5.STABLE5-rfc1035NameUnpack.patch
squid-2.5.STABLE5-rfc1035NameUnpack.patch \
squid-2.5.STABLE5-digest_blank.patch
PATCH_DIST_STRIP= -p1
MAINTAINER= tmseck@netcologne.de
@ -90,8 +91,8 @@ OPTIONS= SQUID_LDAP_AUTH "Install LDAP authentication helpers" off \
SQUID_ARP_ACL "Enable ACLs based on ethernet address" off \
SQUID_PF "Enable transp. proxy support using PF" off \
SQUID_FOLLOW_XFF "Follow X-Forwarded-For headers" off \
SQUID_AUFS "Enable the aufs store type" off \
SQUID_COSS "Enable the COSS store type" off \
SQUID_AUFS "Enable the aufs storage scheme" off \
SQUID_COSS "Enable the COSS storage scheme" off \
SQUID_STACKTRACES "Create backtraces on fatal errors" off
PLIST_FILES= etc/rc.d/squid.sh etc/squid/mib.txt etc/squid/mime.conf.default \
@ -125,21 +126,21 @@ CONFIGURE_ARGS+= --enable-auth="basic ntlm digest" \
--enable-external-acl-helpers="${external_acl}" \
--enable-ntlm-auth-helpers="SMB winbind"
# Selection of store types:
# Selection of storage schemes:
store_types= ufs diskd null
storage_schemes= ufs diskd null
.if defined(WITH_SQUID_AUFS)
store_types+= aufs
storage_schemes+= aufs
# Nil aufs threads is default, set any other value via SQUID_CONFIGURE_ARGS
CONFIGURE_ARGS+= --enable-async-io \
--with-pthreads
CFLAGS+= ${PTHREAD_CFLAGS}
.endif
.if defined(WITH_SQUID_COSS)
store_types+= coss
storage_schemes+= coss
CONFIGURE_ARGS+= --with-aio
.endif
CONFIGURE_ARGS+= --enable-storeio="${store_types}"
CONFIGURE_ARGS+= --enable-storeio="${storage_schemes}"
# Other options set via 'make config':
@ -156,7 +157,7 @@ CONFIGURE_ARGS+= --enable-carp
# we need to .include bsd.openssl.mk manually here because USE_OPENSSL only
# works when it is defined before bsd.port{.pre}.mk is .included and this is
# not possible when using OPTIONS
.include "${PORTSDIR}/Mk/bsd.openssl.mk"
.include "${PORTSDIR}/Mk/bsd.openssl.mk"
CONFIGURE_ARGS+= --enable-ssl \
--with-openssl="${OPENSSLBASE}"
CFLAGS+= -I${OPENSSLINC}

View File

@ -18,3 +18,5 @@ MD5 (squid2.5/squid-2.5.STABLE5-ntlm_warning.patch) = 57ec2b3e27dcff757412d6d0a6
SIZE (squid2.5/squid-2.5.STABLE5-ntlm_warning.patch) = 900
MD5 (squid2.5/squid-2.5.STABLE5-rfc1035NameUnpack.patch) = e3640442452f77762df5b20380aeb334
SIZE (squid2.5/squid-2.5.STABLE5-rfc1035NameUnpack.patch) = 685
MD5 (squid2.5/squid-2.5.STABLE5-digest_blank.patch) = 9eec94b95e52f26aece4568af4a2e5ae
SIZE (squid2.5/squid-2.5.STABLE5-digest_blank.patch) = 4598

View File

@ -7,6 +7,11 @@ PATH=/bin:/usr/bin:/usr/sbin
pkgname=$1
squid_base=${PKG_PREFIX:-/usr/local}/squid
squid_confdir=${PKG_PREFIX:-/usr/local}/etc/squid
if [ -x /usr/sbin/nologin ]; then
nologin=/usr/sbin/nologin
else
nologin=/sbin/nologin
fi
: ${squid_user:=squid}
: ${squid_group:=squid}
squid_gid=100
@ -42,9 +47,11 @@ PRE-INSTALL)
if ! pw usershow ${squid_user} -q >/dev/null ; then
echo "There is no account '${squid_user}' on this system, so I will try to create it:"
if ! pw useradd ${squid_user} -u ${squid_uid} -q \
-c "squid caching-proxy pseudo user" -g ${squid_group} \
-d "${squid_base}" -s "/sbin/nologin" -h - ; then
if ! pw useradd -q -n ${squid_user} \
-u ${squid_uid} -g ${squid_group} \
-c "squid caching-proxy pseudo user" \
-d "${squid_base}" -s "${nologin}" \
-h - ; then
echo "Failed to create user '${squid_user}'!" >&2
echo "Please create it manually." >&2
exit 1